# 智能终端开放说明

## 1、智能硬件开放介绍
魔点科技**秉持“用户第一、超越边界、共创共赢”的企业价值观**，以互联网数字思维，不断优化数字化“武装”，时刻保持数字韧性与敏锐度，实现场景服务在线。开放平台基于魔点智能硬件产品进行打造，致力于协助客户基于魔点提供的人脸识别、门禁考勤、智能语音播报等能力开发场景化的智能应用产品。

## 2、开发指南
参考[智能终端开放接口](#/doc/terminal/interface "智能终端开放接口")，基于不同的魔点智能硬件提供的RAM大小和性能差异，建议开发者优化应用运行内存，原则上D2设备保持在100M以内，D3设备保持在200M以内。

## 3、支持的魔点开放设备（MOS设备）

### 3.1什么是MOS设备？
MOS设备，即魔点提供终端开放能力的设备，包括智能人脸识别能力开放、硬件能力开放、智能语音能力开放等，支持合作伙伴基于开放接口开发自己的应用APP，以满足不同的场景需求。

### 3.2目前支持的MOS设备类型如下
MOS设备的具体购买流程，请联络魔点商务渠道人员了解。

|系统平台|设备类型|系统版本|开放sdk版本|
|:--|:--|:--|:--|
|Android|D2（D2A）|Android 6.0|1.0.1|
|Android|D3|Android 9.0|1.0.1|

## 4、常见问题

### 4.1 MOS设备如何进行设备网络连接模式切换、连接调试以及获取日志？
购买魔点MOS终端后，若需设备连接调试及获取日志，可在钉钉上公开搜索群“魔点终端开发用户群”（群号：5440011071），描述需求场景并@技术支持申请开放设备连接、查看logcat日志和切换设备网络连接模式（1:host模式，支持无线连接诶，0:device模式，支持有/无线连接）功能。
注：功能申请时需提供设备SN码并确保设备在线

### 4.2 TTS语音功能如何获取？
目前，钉钉开放终端，可在钉钉微应用“魔点门禁”上“高级权益”中查询购买。

### 4.3 如何使用扫码和刷卡能力？
D2设备，目前不具备能力，若需要则请联络魔点商务渠道人员，单独采购并外接扫码设备。
D3设备，目前已支持完整的扫码和刷卡能力。

### 4.4 MOS终端是否也支持调用云端接口？
终端接口和云端接口并不冲突，都支持。

### 4.5 推送至设备，提示推送失败，如何解决？
查询设备是否离线，如正常在线，存在软件版本过低的可能，请加入魔点终端用户群（钉钉群号5440011071）联系技术人员处理。